unit DologForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, BoraszClasses;

type
  TThingForm = class(TForm)
    Bevel1: TBevel;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    ebNev: TEdit;
    ebEgyseg: TEdit;
    ebAr: TEdit;
    ebMenny: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    Aktualis : Pointer;
  public
    procedure Clear;
    procedure SetAktualis(p : Pointer);
    function GetAktualis : Pointer;
    procedure InfoUpdate;
  end;

var
  ThingForm: TThingForm;

implementation

{$R *.dfm}

procedure TThingForm.Button1Click(Sender: TObject);
begin
ThingForm.Close;
end;

procedure TThingForm.Clear;
begin
Aktualis := nil;
ebNev.Text := '';
ebEgyseg.Text := '';
ebAr.Text := '';
ebMenny.Text := '';
Close;
end;

procedure TThingForm.InfoUpdate;
begin
if (Aktualis = nil) then
    begin
    Clear;
    Close;
    Exit;
    end;
ebNev.Text := TDolog(Aktualis).GetFajta;
ebEgyseg.Text := TDolog(Aktualis).GetEgyseg;
ebAr.Text := IntToStr(TDolog(Aktualis).GetAr);
ebMenny.Text := IntToStr(TDolog(Aktualis).GetMennyiseg);
end;

procedure TThingForm.SetAktualis(p : Pointer);
begin
Aktualis := p;
end;

function TThingForm.GetAktualis : Pointer;
begin
Result := Aktualis;
end;

end.
