unit SetupForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TSetupAblak = class(TForm)
    Bevel1: TBevel;
    Bevel2: TBevel;
    Bevel4: TBevel;
    Bevel5: TBevel;
    Bevel6: TBevel;
    StaticText1: TStaticText;
    StaticText2: TStaticText;
    StaticText5: TStaticText;
    StaticText6: TStaticText;
    StaticText7: TStaticText;
    StaticText8: TStaticText;
    ebBNev: TEdit;
    ebBPenz: TEdit;
    StaticText9: TStaticText;
    ebVSzam: TEdit;
    StaticText11: TStaticText;
    ebVPenz: TEdit;
    StaticText17: TStaticText;
    cbEHangulat: TComboBox;
    StaticText18: TStaticText;
    ebENev: TEdit;
    BtnOk: TButton;
    BtnCancel: TButton;
    StaticText10: TStaticText;
    ebPNev: TEdit;
    StaticText15: TStaticText;
    ebUNev: TEdit;
    StaticText16: TStaticText;
    ebSzNev: TEdit;
    Bevel7: TBevel;
    StaticText19: TStaticText;
    rbOldal: TRadioButton;
    rbSzaz: TRadioButton;
    rbOsszes: TRadioButton;
    StaticText20: TStaticText;
    StaticText21: TStaticText;
    StaticText22: TStaticText;
    StaticText23: TStaticText;
    StaticText24: TStaticText;
    ebIborthoz: TEdit;
    ebIvasarol: TEdit;
    ebIleltar: TEdit;
    ebIkiszolg: TEdit;
    procedure BtnOkClick(Sender: TObject);
    procedure BtnCancelClick(Sender: TObject);
    procedure SzamBevitel(Sender: TObject; var Key: Char);
    procedure JegyBevitel(Sender: TObject; var Key: Char);
    procedure SzamKilepes(Sender: TObject);
    procedure JegyKilepes(Sender: TObject);
    procedure ebBNevKeyPress(Sender: TObject; var Key: Char);
    procedure cbEHangulatKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SetupAblak: TSetupAblak;

implementation

{$R *.dfm}

procedure TSetupAblak.BtnOkClick(Sender: TObject);
begin
SetupAblak.Close;
end;

procedure TSetupAblak.BtnCancelClick(Sender: TObject);
begin
ebBNev.Text := 'Boriv Attila';
ebBPenz.Text := '40000';
ebVSzam.Text := '4';
ebVPenz.Text := '20000';
ebENev.Text := 'entesz Miska';
ebIleltar.Text := '5';
ebIkiszolg.Text := '1';
ebIborthoz.Text := '3';
ebIvasarol.Text := '4';
ebUNev.Text := 'Attila Borozja';
ebPNev.Text := 'Attila Pincje';
ebSzNev.Text := 'Borszbolt';
cbEHangulat.Clear;
cbEHangulat.Text := 'Htkznapi';
cbEHangulat.AddItem('Jkedv',nil);
cbEHangulat.AddItem('Htkznapi',nil);
cbEHangulat.AddItem('Rosszkedv',nil);
rbOldal.Checked := True;
end;

procedure TSetupAblak.SzamBevitel(Sender: TObject; var Key: Char);
begin
if not (Key in ['0'..'9', #8]) then
   begin
   Key := #0;
   Beep;
   end
else
    begin
    if (Sender as TEdit).GetTextLen>6
    then
        begin
        Key := #0;
        (Sender as TEdit).Text:='999999';
        end;
    end;
end;

procedure TSetupAblak.SzamKilepes(Sender: TObject);
begin
if (Sender as TEdit).GetTextLen>5
    then (Sender as TEdit).Text:='99999';
end;

procedure TSetupAblak.JegyBevitel(Sender: TObject; var Key: Char);
begin
if not (Key in ['0'..'6', #8]) then
   begin
   Key := #0;
   Beep;
   end;
if ((Sender as TEdit).GetTextLen>1) then (Sender as TEdit).Text := '6';
end;

procedure TSetupAblak.JegyKilepes(Sender: TObject);
begin
if ((Sender as TEdit).GetTextLen>1) then (Sender as TEdit).Text := '6';
end;

procedure TSetupAblak.ebBNevKeyPress(Sender: TObject; var Key: Char);
begin
if ((Sender as TEdit).GetTextLen>=20) then
  begin
  if (Key<>#8) then
    begin
    Key := #0;
    Beep;
    end;
  end;
end;

procedure TSetupAblak.cbEHangulatKeyPress(Sender: TObject; var Key: Char);
begin
Key:=#0;
end;

end.
