unit VendegForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, BoraszClasses;

type
  TGuestForm = class(TForm)
    StaticText1: TStaticText;
    Bevel1: TBevel;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    StaticText6: TStaticText;
    ebNev: TEdit;
    ebPenz: TEdit;
    ebAszint: TEdit;
    ebHolvan: TEdit;
    ebAllapot: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    Aktualis : Pointer;
    check,undo : TBitmap;
  public
    procedure Clear;
    procedure SetAktualis (p : Pointer);
    function GetAktualis : Pointer;
    procedure InfoUpdate;
  end;

var
  GuestForm: TGuestForm;

implementation

{$R *.dfm}

procedure TGuestForm.Button1Click(Sender: TObject);
begin
GuestForm.Close;
end;

procedure TGuestForm.Clear;
begin
Aktualis := nil;
ebNev.Text := '';
ebHolvan.Text := '';
ebAszint.Text := '';
ebPenz.Text := '';
ebAllapot.Text := '';
Close;
end;

procedure TGuestForm.SetAktualis (p : Pointer);
begin
Aktualis := p;
end;

function TGuestForm.GetAktualis : Pointer;
begin
Result := Aktualis;
end;

procedure TGuestForm.InfoUpdate;
var
  Igen, Nem : TPicture;
begin
if (Aktualis = nil) then
    begin
    Clear;
    Close;
    Exit;
    end;
Igen := TPicture.Create;
Nem := TPicture.Create;
Igen.Bitmap := check;
Nem.Bitmap := undo;
ebNev.Text := TVendeg(Aktualis).GetNev;
ebHolvan.Text := TVendeg(Aktualis).GetHolvan.GetNev;
ebAszint.Text := IntToStr(TVendeg(Aktualis).GetAlkoholszint);
ebPenz.Text := IntToStr(TVendeg(Aktualis).GetPenz);
case TVendeg(Aktualis).GetRendelt of
  -1: ebAllapot.Text := 'Nemrg rkezett s mg kstolgat...';
  0:  ebAllapot.Text := 'Mr fizetett. pp tvozban...';
  1:  ebAllapot.Text := 'Kiszolglsra vr...';
  2:  ebAllapot.Text := 'Mr kt rendelst is feladott...';
  3:  ebAllapot.Text := 'Hrmat is rendelt, vr trelmesen...';
  4:  ebAllapot.Text := 'Sokszor rendelt mr, idegeskedik...';
  5:  ebAllapot.Text := 'Tele a hcipje a vrakozssal...';
else  ebAllapot.Text := 'Ordibl a borsszal, jogosan...';
end;
if (TVendeg(Aktualis).GetRendelt = -1) and (TVendeg(Aktualis).GetHolvan = Sehol) then ebAllapot.Text := 'Dolgt intzi vhol a nagyvilgban...';
end;

procedure TGuestForm.FormCreate(Sender: TObject);
begin
check := TBitmap.Create;
undo := TBitmap.Create;
check.Handle := LoadBitmap(HInstance, PChar('W1'));
undo.Handle := LoadBitmap(HInstance, PChar('W2'));
end;

end.
